aboutsummaryrefslogtreecommitdiff
path: root/media/sound
diff options
context:
space:
mode:
authorrafael2k <rafael2k@370017ae-e619-0410-ac65-c121f96126d4>2007-02-26 20:38:29 +0000
committerrafael2k <rafael2k@370017ae-e619-0410-ac65-c121f96126d4>2007-02-26 20:38:29 +0000
commit4536546debcda3e2ac1448e8174c85d2b649246d (patch)
treecb15cf80f3d942385731f97a645e1e8b223bc7a5 /media/sound
parent29dbda7d6ee5e74b1b17692a69c11820b24aed84 (diff)
downloadslackbuilds-4536546debcda3e2ac1448e8174c85d2b649246d.tar.gz
slackbuilds-4536546debcda3e2ac1448e8174c85d2b649246d.tar.bz2
location fixes
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1063 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'media/sound')
-rwxr-xr-xmedia/sound/muse/MusE.SlackBuild126
-rw-r--r--media/sound/muse/slack-required2
2 files changed, 128 insertions, 0 deletions
diff --git a/media/sound/muse/MusE.SlackBuild b/media/sound/muse/MusE.SlackBuild
new file mode 100755
index 00000000..19a86d90
--- /dev/null
+++ b/media/sound/muse/MusE.SlackBuild
@@ -0,0 +1,126 @@
+#!/bin/bash
+#
+# slackbuild script for MusE
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building MusE are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="MusE"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.8.1}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+
+if [ "$VERSION" == "0.8.1" ]; then
+ SRC="muse-$VERSION"a.tar."$PACKAGE_EXT"
+else
+ SRC="muse-$VERSION.tar.$PACKAGE_EXT"
+fi
+
+URL="http://easynews.dl.sourceforge.net/sourceforge/lmuse/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd muse-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+MusE: MusE (multitrack virtual studio for audio and MIDI sequencing)
+MusE:
+MusE: MusE is a multitrack virtual studio for Linux. It supports realtime
+MusE: editing of both MIDI and audio in an integrated environment. It has
+MusE: support for LADSPA plugins, Jack, and ALSA output and input.
+MusE: Numerous MIDI editors are available, including pianoroll, score
+MusE: editor, and drum editor.
+MusE:
+MusE:
+MusE:
+MusE:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog NEWS README"
+
+for file in $DOCS; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/media/sound/muse/slack-required b/media/sound/muse/slack-required
new file mode 100644
index 00000000..f7c4e4f3
--- /dev/null
+++ b/media/sound/muse/slack-required
@@ -0,0 +1,2 @@
+fluidsynth
+wxWidgets